@extends('layout')

@section('content')
    <div class="columns is-centered">
        <div class="column is-6">
            <div class="box">
                <h3 class="title is-3 has-text-centered">Edit Device</h3>

                <form method="POST" action="/devices/{{ $device->device_id }}">
                    @method('PUT')
                    @csrf

                    <div class="field">
                        <label for="title" class="label">Title</label>
                        <div class="control">
                            <input class="input" type="text" id="title" name="title"
                                value="{{ $device->title }}" required />
                        </div>
                        @error('title')
                            <p class="help is-danger">{{ $message }}</p>
                        @enderror
                    </div>

                    <div class="field">
                        <label for="device_type" class="label">device_type</label>
                        <div class="control">
                            <input class="input" type="text" id="device_type"
                                name="device_type" value="{{ $device->device_type }}" required />
                        </div>
                        @error('device_type')
                            <p class="help is-danger">{{ $message }}</p>
                        @enderror
                    </div>

                    <div class="field">
                        <label for="accessories" class="label">accessories</label>
                        <div class="control">
                            <input class="input" type="text" id="accessories"
                                name="accessories" value="{{ $device->accessories }}" />
                        </div>
                        @error('accessories')
                            <p class="help is-danger">{{ $message }}</p>
                        @enderror
                    </div>

                    <div class="field">
                        <label for="rz_username_buyer" class="label">rz_username_buyer</label>
                        <div class="control">
                            <input class="input" type="text" id="rz_username_buyer"
                                name="rz_username_buyer" value="{{ $device->rz_username_buyer }}" required />
                        </div>
                        @error('rz_username_buyer')
                            <p class="help is-danger">{{ $message }}</p>
                        @enderror
                    </div>

                    <div class="field">
                        <label for="serial_number" class="label">serial_number</label>
                        <div class="control">
                            <input class="input" type="text" id="serial_number"
                                name="serial_number" value="{{ $device->serial_number }}" required />
                        </div>
                        @error('serial_number')
                            <p class="help is-danger">{{ $message }}</p>
                        @enderror
                    </div>

                    <div class="field">
                        <label for="image_url" class="label">image_url</label>
                        <div class="control">
                            <input class="input" type="text" id="image_url" name="image_url"
                                value="{{ $device->image_url }}" required />
                        </div>
                        @error('image_url')
                            <p class="help is-danger">{{ $message }}</p>
                        @enderror
                    </div>

                    <div class="field">
                        <label for="description" class="label">description</label>
                        <div class="control">
                            <textarea class="textarea" id="description" name="description">{{ $device->description }}</textarea>
                        </div>
                        @error('description')
                            <p class="help is-danger">{{ $message }}</p>
                        @enderror
                    </div>

                    <div class="field is-grouped is-grouped-centered">
                        <div class="control">
                            <button class="button is-success" type="submit">Submit</button>
                        </div>
                        <div class="control">
                            <a class="button is-success is-light" href="/devices/{{ $device->device_id }}">Cancel</a>
                        </div>
                    </div>
                </form>

            </div>
        </div>
    </div>
@endsection
