@extends('layout')

@section('content')
    <div class="columns is-centered">
        <div class="column is-4">
            <div class="box">
                <h3 class="title is-3 has-text-centered">Login Form</h3>
                <form method="POST" action="/users/authenticate">
                    @csrf

                    <div class="field">
                        <label for="rz_username" class="label">RZ-Username</label>
                        <div class="control">
                            <input class="input" type="text" id="rz_username" placeholder="RZ-Username"
                                name="rz_username" value="{{ old('device_id') }}" required />
                        </div>
                        @error('rz_username')
                            <p class="help is-danger">{{ $message }}</p>
                        @enderror
                    </div>

                    <div class="field">
                        <label for="hashed_password" class="label">Password</label>
                        <div class="control">
                            <input class="input" type="password" id="hashed_password" name="password" required />
                        </div>
                        @error('hashed_password')
                            <p class="help is-danger">{{ $message }}</p>
                        @enderror
                    </div>

                    <div class="field is-grouped is-grouped-centered">
                        <div class="control">
                            <button class="button is-success" type="submit">Login</button>
                        </div>
                        <div class="control">
                            <a class="button is-success is-light" href="/home">Cancel</a>
                        </div>
                    </div>

                </form>

                <div class="has-text-centered">
                    <p>Don't have an account?</p>
                    <a href="/register">Register</a>
                </div>

            </div>
        </div>
    </div>
@endsection