@extends('layout')

@section('content')
    <div class="columns is-centered">
        <div class="column is-4">
            <div class="box">
                <h3 class="title is-3 has-text-centered">Registration Form Form</h3>
                <form method="POST" action="/users">
                    @csrf

                    <div class="field">
                        <label for="rz_username" class="label">RZ-Username</label>
                        <div class="control">
                            <input class="input" type="text" id="rz_username" name="rz_username"
                                value="{{ old('device_id') }}" placeholder="RZ-Username" required />
                        </div>
                        @error('rz_username')
                            <p class="help is-danger">{{ $message }}</p>
                        @enderror
                    </div>

                    <div class="field">
                        <label for="full_name" class="label">Full Name</label>
                        <div class="control">
                            <input class="input" type="text" id="full_name" name="full_name"
                                value="{{ old('device_id') }}" placeholder="Full Name" required />
                        </div>
                        @error('full_name')
                            <p class="help is-danger">{{ $message }}</p>
                        @enderror
                    </div>

                    <div class="field">
                        <label for="organisation_unit" class="label">Organisation Unit</label>
                        <div class="control">
                            <input class="input" type="text" id="organisation_unit" name="organisation_unit"
                                value="{{ old('device_id') }}" placeholder="Organisation Unit" required />
                        </div>
                        @error('organisation_unit')
                            <p class="help is-danger">{{ $message }}</p>
                        @enderror
                    </div>

                    <div class="field">
                        <label for="password" class="label">Password</label>
                        <div class="control">
                            <input class="input" type="password" id="password" name="password" required />
                        </div>
                        @error('password')
                            <p class="help is-danger">{{ $message }}</p>
                        @enderror
                    </div>

                    <div class="field is-grouped is-grouped-centered">
                        <div class="control">
                            <button class="button is-success" type="submit">Register</button>
                        </div>
                        <div class="control">
                            <a class="button is-success is-light" href="/home">Cancel</a>
                        </div>
                    </div>

                    {{-- 
                        <label for="password_confirm">Confirm Password:</label>
                        <input type="password" id="password_confirmation" name="password_confirm" required><
                        @error('password_confirmation')
                            <p>{{$message}}</p>
                        @enderror
                    --}}

                </form>
                <div class="has-text-centered">
                    <p>Already have an account?</p>
                    <a href="/login">Login</a>
                </div>
            </div>
        </div>
    </div>
@endsection